Creators the shop reached in TikTok's current outreach quota period
GET
/api/public/v1/tik_tok_shop/outreach/recordsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopOutreachRecords
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/outreach/records" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| page | query | integer | Default 1 |
| pageSize | query | integer | Default 50 |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| hasMore | boolean | required |
| page | integer | required |
| pageSize | integer | required |
| records | array of object | required |
| records[].[].creatorOpenId | string, nullable | |
| records[].[].hasSentImMessage | boolean, nullable | |
| records[].[].hasSentInvitation | boolean, nullable | |
| records[].[].isPaired | boolean, nullable | |
| records[].[].recordId | string, nullable | |
| total | integer, nullable |
Example
{
"hasMore": true,
"page": 1,
"pageSize": 1,
"records": [
{
"creatorOpenId": "string",
"hasSentImMessage": true,
"hasSentInvitation": true,
"isPaired": true,
"recordId": "string"
}
],
"total": 3
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.